// creator  : weidu (version 130)
// argument : JEANNJ.DLG
// game     : .
// source   : ./override/JEANNJ.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~JEANNJ~ 16703 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~GlobalTimerExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",1)
Global("Chapter","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY @1 /* ~I've no wish to strain our relationship, but you did promise to go to Nashkel.  Our delay is making me rather... tense.  I'm not nice when I'm tense.~ #16703 */
  IF ~~ THEN DO ~("VisitRagefast","GLOBAL",2)

SetGlobalTimer("Jeanna","GLOBAL",SIX_DAYS)SetGlob~ EXIT
END

IF WEIGHT #1 ~

GlobalTimerExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",2)
Global("Chapter","GLOBAL",~ THEN BEGIN 1 // from:
  SAY @2 /* ~Much as I truly care about your needs, I would prefer that we forgot your petty travels and went to Nashkel!~ #16704 */
  IF ~~ THEN DO ~al("VisitRagefast","GLOBAL",3)

SetGlobalTimer("Jeanna","GLOBAL",SEVEN_DAYS)SetGl~ EXIT
END

IF WEIGHT #2 ~1)
GlobalTimerExpired("Jeanna","GLOBAL")
Global("VisitRagefast","GLOBAL",3)
Global("Chapter","GLOBAL",1)
!Dead("Morik"~ THEN BEGIN 2 // from:
  SAY @3 /* ~You said we would go to Nashkel!  You did!  I don't wanna be you friend no more!  Wahhhhhh!~ #16705 */
  IF ~~ THEN DO ~obal("VisitRagefast","GLOBAL",4)Leave~ EXTERN ~MORIJ~ 4
END

IF WEIGHT #5 /* Triggers after states #: 5 6 even though they appear after this state */
~Party("Morik")
InPart~ THEN BEGIN 3 // from:
  SAY @4 /* ~You... you're letting me go?  But we have shared so much... so many good times... this is truly a sad day indeed.  Goodbye, so sad, blah blah blah and all that rot.~ #16706 */
  IF ~~ THEN DO ~Party()

SetDialog("JeannP")

Acti~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 5 6 even though they appear after this state */
~y("Morik")
SetGlobal~ THEN BEGIN 4 // from:
  SAY @5 /* ~You... you're letting me go?  But we have shared so much... so many good times... this is truly a sad day indeed.  Goodbye, so sad, blah blah blah and all that rot.  Come along Montaron.  You are my counterpart and we shall not be separated.~ #16708 */
  IF ~~ THEN DO ~onOverride("Morik",ChangeAIScript("",DEFAULT))

ActionOverride("Morik",LeaveParty())

ActionOverride("Morik",SetDialog("MoriP"))

LeaveParty()

SetDialog("JeannP")

LeaveParty()
~ EXIT
END

IF WEIGHT #3 ~)
HappinessLT(Myself,0)
!InParty("Morik")
~ THEN BEGIN 5 // from:
  SAY @6 /* ~Indeed, it is quite about time that we should part company.  You have proven unsympathetic to my interests, and I look forward to eventually owning a charming little ashtray made from your skull.  Toodles.~ #16709 */
  IF ~~ THEN DO ~
EscapeArea()

ActionOverrid~ EXIT
END

IF WEIGHT #4 ~HappinessLT(Myself,0)
InParty("Morik")
!In~ THEN BEGIN 6 // from:
  SAY @7 /* ~Indeed, it is quite about time that we should part company.  You have proven unsympathetic to my interests, and I look forward to eventually owning a charming little ashtray made from your skull.  Come, Montaron.  We shall not be separated by this fool.~ #16710 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY @8 /* ~Ooo... subtle, yet insulting.~ #16711 */
  IF ~~ THEN DO ~~ EXIT
END
